Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobResultsAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobResultsAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobResultsAdapter.cs	(revision 1377)
@@ -0,0 +1,37 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IJobResultsAdapter: IDataAdapter<JobResult> {
+    /// <summary>
+    /// Gets all results for the specified job
+    /// </summary>
+    /// <param name="job"></param>
+    /// <returns></returns>
+    ICollection<JobResult> GetResultsOf(Job job);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IResourceAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IResourceAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IResourceAdapter.cs	(revision 1377)
@@ -0,0 +1,47 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  /// <summary>
+  /// The resource database adapter
+  /// </summary>
+  public interface IResourceAdapter: IDataAdapter<Resource> {
+    /// <summary>
+    /// Gets the resource and updates the values of the object
+    /// </summary>
+    /// <param name="resource"></param>
+    /// <returns></returns>
+    bool GetById(Resource resource);
+
+    /// <summary>
+    /// Get the resource with the specified name
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    Resource GetByName(string name);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.Scheduler/DefaultScheduler.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Scheduler/DefaultScheduler.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Scheduler/DefaultScheduler.cs	(revision 1377)
@@ -5,5 +5,5 @@
 using HeuristicLab.Hive.Server.Core.InternalInterfaces;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using System.Threading;
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj	(revision 1377)
@@ -73,4 +73,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -80,4 +84,8 @@
       <Project>{898B31CF-81DC-453B-AEB3-BDF83197A7EE}</Project>
       <Name>HeuristicLab.Hive.Server.Core</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Server.DataAccess\HeuristicLab.Hive.Server.DataAccess.csproj">
+      <Project>{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}</Project>
+      <Name>HeuristicLab.Hive.Server.DataAccess</Name>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
Index: /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj	(revision 1377)
@@ -110,4 +110,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
Index: /trunk/sources/HeuristicLab.Hive.Server/HiveServerApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/HiveServerApplication.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server/HiveServerApplication.cs	(revision 1377)
@@ -158,6 +158,6 @@
 
         lifecycleManager.Init();
-        //sync with db every 5 minutes
-        lifecycleManager.GetTransactionManager().EnableAutoUpdate(
+        //sync with db every 30 seconds
+        lifecycleManager.GetDBSynchronizer().EnableAutoUpdate(
           new TimeSpan(0, 0, 30));
 
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 1376)
+++ /trunk/sources/HeuristicLab.sln	(revision 1377)
@@ -136,4 +136,14 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.IntVector", "HeuristicLab.IntVector\HeuristicLab.IntVector.csproj", "{85FA46C6-761E-4098-9EF7-060ECC386396}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataAccess", "HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj", "{9076697B-C151-46CD-95BC-1D059492B478}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Contracts", "HeuristicLab.Security.Contracts\HeuristicLab.Security.Contracts.csproj", "{D59E852C-F205-4647-8C05-EB9ED1CF44E9}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.DataAccess", "HeuristicLab.Security.DataAccess\HeuristicLab.Security.DataAccess.csproj", "{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataAccess.ADOHelper", "HeuristicLab.DataAccess.ADOHelper\HeuristicLab.DataAccess.ADOHelper.csproj", "{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.DataAccess", "HeuristicLab.Hive.Server.DataAccess\HeuristicLab.Hive.Server.DataAccess.csproj", "{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}"
 EndProject
 Global
@@ -1212,4 +1222,6 @@
 		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.GP Debug|x86.ActiveCfg = Debug|Any CPU
 		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F0F97CBA-61A2-471C-9973-F099202B3BE5}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -1266,4 +1278,79 @@
 		{85FA46C6-761E-4098-9EF7-060ECC386396}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
 		{85FA46C6-761E-4098-9EF7-060ECC386396}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.Build.0 = Release|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x86.ActiveCfg = Release|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x86.ActiveCfg = Release|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x86.ActiveCfg = Release|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|x86.ActiveCfg = Release|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x86.ActiveCfg = Release|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1376)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1377)
@@ -78,2 +78,5 @@
 copy "%SolutionDir%\HeuristicLab.Hive.Server.Console\%Outdir%\HeuristicLab.Hive.Server.Console-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.SA\%Outdir%\HeuristicLab.SA-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.DataAccess\%Outdir%\HeuristicLab.DataAccess-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.DataAccess.ADOHelper\%Outdir%\HeuristicLab.DataAccess.ADOHelper-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.DataAccess\%Outdir%\HeuristicLab.Hive.Server.DataAccess-3.2.dll" .\plugins
